render_graph_from_series {DiagrammeR} | R Documentation

## Render a graph available in a series

### Description

Using a graph series object of type `dgr_graph_1D`, either render graph in the Viewer or output in various formats.

### Usage

    render_graph_from_series(graph_series, graph_no, output = "graph",
      width = NULL, height = NULL)

### Arguments

`graph_series` | a graph series object of type `dgr_graph_1D`.
`graph_no` | the index of the graph in the graph series.
`output` | a string specifying the output type; `graph` (the default) renders the graph using the `grViz` function, `DOT` outputs DOT code for the graph, and `SVG` provides SVG code for the rendered graph.
`width` | an optional parameter for specifying the width of the resulting graphic in pixels.
`height` | an optional parameter for specifying the height of the resulting graphic in pixels.

### Examples

    ## Not run:
    # Create three graphs
    graph_1 <-
      create_graph() %>%
      add_n_nodes(n = 3) %>%
      add_edges_w_string(
        edges = "1->3 1->2 2->3")

    graph_2 <-
      graph_1 %>%
      add_node() %>%
      add_edge(
        from = 4,
        to = 3)

    graph_3 <-
      graph_2 %>%
      add_node() %>%
      add_edge(
        from = 5,
        to = 2)

    # Create an empty graph series and add
    # the graphs
    series <-
      create_series() %>%
      add_to_series(graph_1, .) %>%
      add_to_series(graph_2, .) %>%
      add_to_series(graph_3, .)

    # View the second graph in the series in the Viewer
    render_graph_from_series(
      graph_series = series,
      graph_no = 2)

    ## End(Not run)

[Package DiagrammeR version 0.9.2 Index]